Subject: FVWM: [2.0.41] Using another M_XXX prefix in module.h

From: Mark Boyns <[email-masked]>
Date: 19 Feb 1996 15:34:09 -0800

Solaris 2.5 defines several M_XXX things in <sys/stream.h> which is
included by <netinet/in.h>.  Unfortunately, one of these is M_ERROR
which is used by fvwm.

This is only a problem with the FvwmAudio module with builtin rplay
support.  The rplay header file includes <netinet/in.h>.

Can M_ be renamed to something else?  How about MODULE_?  I'd be
willing to write a perl script to do the conversion.

-- 
Mark Boyns <[email-masked]> <URL:http://www.sdsu.edu/~boyns/>
PGP fingerprint = D3 28 A2 F7 D1 4C F8 EE  BF 7A 11 54 1C E5 6E CC
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].